Bug 763690 - (GLUSTER-1958) Protocol client segfault in nfs beta
Protocol client segfault in nfs beta
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: nfs (Show other bugs)
nfs-beta
All Linux
low Severity low
: ---
: ---
Assigned To: Shehjar Tikoo
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-14 17:18 EDT by Harshavardhana
Modified: 2015-03-22 21:03 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Harshavardhana 2010-10-14 17:18:08 EDT
argp 1
backtrace 1
dlfcn 1
fdatasync 1
libpthread 1
llistxattr 1
setfsid 1
spinlock 1
epoll.h 1
xattr.h 1
st_atim.tv_nsec 1
package-string: glusterfs nfs_beta_rc15_6bf8d6d0
/lib64/libc.so.6[0x7f430cc8a2f0]
/lib64/libc.so.6(strlen+0x11)[0x7f430ccd6921]
/usr/lib64/glusterfs/nfs_beta_rc15_6bf8d6d0/xlator/protocol/client.so(client_stat+0x45)[0x7f430c248105]
/usr/lib64/glusterfs/nfs_beta_rc15_6bf8d6d0/xlator/cluster/distribute.so(dht_stat+0xce)[0x7f430c01920e]
/usr/lib64/glusterfs/nfs_beta_rc15_6bf8d6d0/xlator/nfs/server.so(nfs_fop_stat+0x17b)[0x7f430bdde3eb]
/usr/lib64/glusterfs/nfs_beta_rc15_6bf8d6d0/xlator/nfs/server.so(nfs3_getattr_resume+0x82)[0x7f430bded0a2]
/usr/lib64/glusterfs/nfs_beta_rc15_6bf8d6d0/xlator/nfs/server.so(nfs3_fh_resolve_inode_done+0x4d)[0x7f430bdf5e7d]
/usr/lib64/glusterfs/nfs_beta_rc15_6bf8d6d0/xlator/nfs/server.so(nfs3_fh_resolve_inode+0x5e)[0x7f430bdf5f2e]
/usr/lib64/glusterfs/nfs_beta_rc15_6bf8d6d0/xlator/nfs/server.so(nfs3_getattr+0x1ee)[0x7f430bdf3e9e]
/usr/lib64/glusterfs/nfs_beta_rc15_6bf8d6d0/xlator/nfs/server.so(nfs3svc_getattr+0x5d)[0x7f430bdf3ffd]
/usr/lib64/libglrpcsvc.so.0(rpcsvc_handle_rpc_call+0xa3)[0x7f430bbc2943]
/usr/lib64/libglrpcsvc.so.0(rpcsvc_record_update_state+0xd1)[0x7f430bbc3011]
/usr/lib64/libglrpcsvc.so.0(rpcsvc_conn_data_handler+0x68)[0x7f430bbc33a8]
/usr/lib64/libglusterfs.so.0[0x7f430d4154fd]
/usr/lib64/libglrpcsvc.so.0(rpcsvc_stage_proc+0x12)[0x7f430bbc4852]
/lib64/libpthread.so.0[0x7f430cfcb85a]
/lib64/libc.so.6(clone+0x6d)[0x7f430cd3522d]
---------

(gdb) bt
#0  0x00007f430ccd6921 in strlen () from /lib64/libc.so.6
#1  0x00007f430c248105 in client_stat (frame=0x7f43042c3090, this=0xffffffff, loc=0x7f430abeb408)
    at client-protocol.c:837
#2  0x00007f430c01920e in dht_stat (frame=0x7f4304412460, this=<value optimized out>, 
    loc=0x7f430abeb408) at dht-common.c:1054
#3  0x00007f430bdde3eb in nfs_fop_stat (nfsx=0x955730, xl=0x953d40, nfu=<value optimized out>, 
    loc=0x7f430abeb408, cbk=<value optimized out>, local=<value optimized out>) at nfs-fops.c:332
#4  0x00007f430bded0a2 in nfs3_getattr_resume (carg=0x7f430abeb020) at nfs3.c:503
#5  0x00007f430bdf5e7d in nfs3_fh_resolve_inode_done (cs=0x7f430abeb020, inode=<value optimized out>)
    at nfs3-helpers.c:2479
#6  0x00007f430bdf5f2e in nfs3_fh_resolve_inode (cs=0x7f430abeb020) at nfs3-helpers.c:3039
#7  0x00007f430bdf3e9e in nfs3_getattr (req=0x7f430aae9f60, fh=0x7f430d77dfa0) at nfs3.c:544
#8  0x00007f430bdf3ffd in nfs3svc_getattr (req=0x7f430aae9f60) at nfs3.c:578
#9  0x00007f430bbc2943 in rpcsvc_handle_rpc_call (conn=0x7f43040014e0) at rpcsvc.c:1877
#10 0x00007f430bbc3011 in rpcsvc_record_update_state (conn=0x7f43040014e0, dataread=0)
    at rpcsvc.c:2358
#11 0x00007f430bbc33a8 in rpcsvc_conn_data_handler (fd=<value optimized out>, idx=-1, 
    data=0x7f43040014e0, poll_in=0, poll_out=0, poll_err=16843009) at rpcsvc.c:2530
#12 0x00007f430d4154fd in event_dispatch_epoll_handler (i=<value optimized out>, 
    events=<value optimized out>, event_pool=<value optimized out>) at event.c:804
#13 event_dispatch_epoll (i=<value optimized out>, events=<value optimized out>, 
    event_pool=<value optimized out>) at event.c:867
#14 0x00007f430bbc4852 in rpcsvc_stage_proc (arg=<value optimized out>) at rpcsvc.c:64
#15 0x00007f430cfcb85a in start_thread () from /lib64/libpthread.so.0
#16 0x00007f430cd3522d in clone () from /lib64/libc.so.6
#17 0x0000000000000000 in ?? ()
(gdb) fr 1
#1  0x00007f430c248105 in client_stat (frame=0x7f43042c3090, this=0xffffffff, loc=0x7f430abeb408)
    at client-protocol.c:837
837             pathlen = STRLEN_0 (loc->path);
(gdb) p *loc->path
Cannot access memory at address 0x0
(gdb) p *loc      
$1 = {path = 0x0, name = 0x0, ino = 0, inode = 0x0, parent = 0x0}
(gdb)
Comment 1 Harshavardhana 2010-10-15 18:29:42 EDT
Currently understood to be fixed in 3.1, reopen if seen again.

Note You need to log in before you can comment on or make changes to this bug.